Changeset 133374


Ignore:
Timestamp:
Feb 28, 2015, 1:38:55 AM (5 years ago)
Author:
devans@…
Message:

gramps: update to version 4.1.2, maintenance release, reformat notes.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/genealogy/gramps/Portfile

    r127341 r133374  
    99PortGroup               python 1.0
    1010
    11 version                 4.1.1
     11version                 4.1.2
    1212license                 GPL-2
    1313categories              genealogy python
     
    2828master_sites            sourceforge:gramps
    2929
    30 checksums               rmd160  b47b687147e327d95a852b95cd83f82930796857 \
    31                         sha256  c00078e0b0ae50659bb07501be5b2702356cb7d69c18d960509556d1fdd1b749
     30checksums               rmd160  a5c1f2a78c8ed281d37bd1821725f9abe6161961 \
     31                        sha256  4a6a05d368389d29c2273bf0821803e78d6f325ef28acc7e9de578c850569c5c
    3232
    3333depends_build-append    port:intltool
     
    101101    Backup to XML before making big changes, such as importing new data into an existing database from e.g. GEDCOM,
    102102        merging records, running tools that may heavily modify the data, etc.
    103     Backup to XML before upgrading GRAMPS to a newer version. Backup to XML with the old version before you install the new one!
     103    Backup to XML before upgrading GRAMPS to a newer version. Backup to XML with the old version before you install
     104        the new one!
    104105    Backup to XML before upgrading your OS.
    105106
     
    110111
    111112Beginning with GRAMPS 4.0, GRAMPS supports either python2 or python3.  If you plan to use python3, please MAKE A BACKUP
    112 of your data using your old python2 version before attempting to load your family tree in GRAMPS 4.0 with python3.  The python3
    113 versions use a different database interface with a new database format that is not compatible with the python2 versions. On startup,
    114 GRAMPS 4.0 python3 will ask you if you want to reformat your database.  Once this has been done, your database will no longer be usable
    115 with python2 versions of GRAMPS.
     113of your data using your old python2 version before attempting to load your family tree in GRAMPS 4.0 with python3.  The python3 versions use a different database interface with a new database format that is not compatible with the python2 versions. On startup, GRAMPS 4.0 python3 will ask you if you want to reformat your database.  Once this has been done, your database will no longer be usable with python2 versions of GRAMPS.
    116114
    117 Beginning with GRAMPS 4.1, a new GRAMPS database format is in use for all python versions.  On startup, GRAMPS 4.1 will ask you
    118 if you want to reformat your database.  Once this has been done, your database will no longer be usable with previous versions of GRAMPS.
     115Beginning with GRAMPS 4.1, a new GRAMPS database format is in use for all python versions.  On startup, GRAMPS 4.1 will ask you if you want to reformat your database.  Once this has been done, your database will no longer be usable with previous versions of GRAMPS.
    119116
    120117***** MAKE A BACKUP! *****
Note: See TracChangeset for help on using the changeset viewer.